#ifndef _CONFIG_H
#define _CONFIG_H

#include "can_use.h"
#include "ahrs.h"
#include "map.h"
#include "up.h"
#include "chassis.h"

typedef struct{
UP_Param_t up;
Chassis_Param_t chassis;

CAN_Params_t can;
AHRS_Eulr_t mech_zero[4];
	
}ConfigParam_t;


typedef struct{
const ConfigParam_t *config;

BMI088_Cali_t cali_088;
	
}Config_t;

void Config_Get(Config_t *cfg);

void Config_Set(Config_t *cfg);

//void set_ops_path(ConfigParam_t *config, const point_t *path, int8_t path_num) ;

extern const ConfigParam_t *Config_ChassisGet(void);







#endif

